PCAT(1)

NAME
pcat - (re)-send a pcap trace to a nameserver

SYNOPSIS
pcat [ -a IP ] [ -p PORT ] PCAP_STRACE

DESCRIPTION
pcat reads in a pcap trace file and re-sends the packet's payload to a nameserver. It prints each query and the reply to standard output is a hexadecimal format.

If no pcap file is given, standard input is read.

OPTIONS

-a IP
    Use IP as address to send the queries to.

-p PORT
    Use PORT as port number.

OUTPUT FORMAT
The output of pcat consists "records". Each record has four lines:

    1. xxx - (decimal) sequence number
    2. hex dump - query in hex, network order
    3. hex dump - answer in hex, network order
    4. empty line The reason for the fourth line is that pcat-print can now parse both pcats and pcat-diffs output.

This format is dubbed: pcat.

ALSO SEE
Also see pcat-print(1) and pcat-diff(1).

AUTHOR
Written by Miek Gieben for NLnet Labs.

REPORTING BUGS
Report bugs to <dns-team@nlnetlabs.nl>.

COPYRIGHT
Copyright (C) 2005, 2006 NLnet Labs. This is free software. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Licensed under the BSD License.